# AODataSegmentGetInfo

Gets the blocksize and type of a data segment

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentGetInfo(AOData aodata,const char keyname[],const char segname[],PetscInt *bs,PetscDataType *dtype)

Not collective

### Input Parameters

| aodata | - the database
| keyname | - the name of the key
| segname | - the name of the segment

### Output Parameters

| bs | - the blocksize
| dtype | - the datatype

### Keywords

database accessing

### See Also

AODataGetInfo()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages